/*** FORM ***/
/* style all elements that appear in the forms for create.html (etc.) and delete.html (etc.) */

/* html form elements */
textarea {
    width: 100%;
    font-family: inherit;
    resize: vertical;
}

/* specify design of form elements */
.form-object, .form-select {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: var(--border-radius);
    box-sizing: border-box; 
    margin-top: 6px;
    margin-bottom: 16px;    
}

/* specify select-element that it is styled the same in every browser */
.form-select {
    /* this class seems to have some code-errors (in Visual Studio Code)
       but it is working in the browser as it should */
    background: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e);
    background-repeat: no-repeat;
    background-position: 98% 50%;
    -moz-appearance: none; 
    -webkit-appearance: none; 
    appearance: none;
}
.form-select:disabled {
    color: gray;
    background-color: #ffffff;
    background-image: none;
}

/* file upload button */
.form-file-upload {
    margin-top: 6px;
    margin-bottom: 16px;
    width: 100%;
}
.form-file-upload::file-selector-button {
    height: 40px;
    cursor: pointer;
    background: #ccc;
    color: black;
    font-size: var(--font-size);
    padding: 0 15px;
    border: none;
    border-radius: var(--border-radius);
    font-size: var(--font-size);
}


/* specific button colors */
.form-delete-button {
    background-color: #E32636 !important;
}

.form-cancel-button {
    background-color: #707070 !important;
}

/* new delete button */
.delete-button {
    background-color: #E32636;
    color: white;
    border: none;
    padding: 10px;
    border-radius: var(--border-radius);
    cursor: pointer;
}

.delete-button:hover {
    filter: var(--button-hover-brightness);
}


input[type="checkbox"][name$="-DELETE"] {
    display: none;
}


/* only enable hover feature on desktop */
@media (hover: hover) and (pointer: fine) {
    .form-file-upload::file-selector-button:hover {
        filter: var(--button-hover-brightness);
    }
}

